[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: LIrc & Linux 2.4.20



Hello Andreas,

Friday, December 6, 2002, 3:36:25 AM, you wrote:

AE> Hi List,

AE> I tried to use the lirc-modules-source package with linux-2.4.20 but I 
AE> can't get it compiled using "make-kpkg modules_image" on my Woody box.
AE>   With 2.4.18 it works fine. The "make-kpkg kernel_image" and "make-kpkg 
AE> modules_image" with nvidia-kernel-src & lm-sensors-source processes fine.

AE> It stops with:
AE> make[6]: Entering directory `/usr/src/modules/lirc/drivers/lirc_dev'
AE> gcc -D__KERNEL__ -I/usr/src/linux-2.4.20/include -Wall 
AE> -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common 
AE> -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686 
AE> -DMODULE -DMODVERSIONS -include 
AE> /usr/src/linux-2.4.20/include/linux/modversions.h -DIRCTL_DEV_MAJOR=61 
AE> -DEXPORT_SYMTAB -DHAVE_CONFIG_H -I. -I. -I../..          -nostdinc 
AE> -iwithprefix include -DKBUILD_BASENAME=lirc_dev  -c -o lirc_dev.o 
AE> lirc_dev.c
AE> In file included from 
AE> /usr/lib/gcc-lib/i386-linux/2.95.4/include/syslimits.h:7,
AE>                  from 
AE> /usr/lib/gcc-lib/i386-linux/2.95.4/include/limits.h:11,
AE>                  from ../../drivers/lirc.h:6,
AE>                  from lirc_dev.c:58:
AE> /usr/lib/gcc-lib/i386-linux/2.95.4/include/limits.h:117: No include path 
AE> in which to find limits.h
AE> make[6]: *** [lirc_dev.o] Fehler 1
AE> make[6]: Leaving directory `/usr/src/modules/lirc/drivers/lirc_dev'
AE> make[5]: *** [_mod_/usr/src/modules/lirc/drivers/lirc_dev] Fehler 2
AE> make[5]: Leaving directory `/usr/src/linux-2.4.20'
AE> make[4]: *** [lirc_dev.o] Fehler 2
AE> make[4]: Leaving directory `/usr/src/modules/lirc/drivers/lirc_dev'
AE> make[3]: *** [all-recursive] Fehler 1
AE> make[3]: Leaving directory `/usr/src/modules/lirc/drivers'
AE> make[2]: *** [i2c] Fehler 2
AE> make[2]: Leaving directory `/usr/src/modules/lirc'
AE> make[1]: *** [build-stamp] Fehler 2
AE> make[1]: Leaving directory `/usr/src/modules/lirc'
AE> Module /usr/src/modules/lirc failed.


AE> Any ideas? Has anyone got it running?
AE> I'm lazy so I need LIrc and the SMP bugfixes from 2.4.20 ...

I've had the same error when compiling lirc on 2.4.19 kernel.
After upgading to the latest version of lirc everything compiled fine.



-- 
Best regards,
 Eduard                            mailto:eduard70@mail.ru



Reply to: